Package org.eclipse.net4j.util.collection

## Class BidiMap<K,​V>

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - org.eclipse.net4j.util.collection.BidiMap<K,​V>

- All Implemented Interfaces:
    `java.util.Map<K,​V>`

      public class BidiMap<K,​V>
      extends java.util.AbstractMap<K,​V>

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BidiMap​(java.lang.Class<K> keyClass, java.lang.Class<V> valueClass)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `boolean` | `containsKey​(java.lang.Object key)` |
    `boolean` | `containsValue​(java.lang.Object value)` |
    `java.util.Set<java.util.Map.Entry<K,​V>>` | `entrySet()` |
    `V` | `get​(java.lang.Object key)` |
    `java.lang.Class<K>` | `getKeyClass()` |
    `java.lang.Class<V>` | `getValueClass()` |
    `java.util.Map<V,​K>` | `invert()` |
    `boolean` | `isEmpty()` |
    `V` | `put​(K key, V value)` |
    `V` | `remove​(java.lang.Object key)` |
    `int` | `size()` |

    - ### Methods inherited from class java.util.AbstractMap

      `clone, equals, hashCode, keySet, putAll, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### BidiMap

          public BidiMap​(java.lang.Class<K> keyClass,
                         java.lang.Class<V> valueClass)

  - ### Method Detail

    - #### getKeyClass

          public final java.lang.Class<K> getKeyClass()

    - #### getValueClass

          public final java.lang.Class<V> getValueClass()

    - #### invert

          public final java.util.Map<V,​K> invert()

    - #### put

          public V put​(K key,
                       V value)

      Specified by:
        `put` in interface `java.util.Map<K,​V>`
      Overrides:
        `put` in class `java.util.AbstractMap<K,​V>`

    - #### remove

          public V remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<K,​V>`
      Overrides:
        `remove` in class `java.util.AbstractMap<K,​V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<K,​V>`
      Overrides:
        `clear` in class `java.util.AbstractMap<K,​V>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<K,​V>`
      Overrides:
        `size` in class `java.util.AbstractMap<K,​V>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<K,​V>`
      Overrides:
        `isEmpty` in class `java.util.AbstractMap<K,​V>`

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<K,​V>`
      Overrides:
        `containsKey` in class `java.util.AbstractMap<K,​V>`

    - #### containsValue

          public boolean containsValue​(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<K,​V>`
      Overrides:
        `containsValue` in class `java.util.AbstractMap<K,​V>`

    - #### get

          public V get​(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<K,​V>`
      Overrides:
        `get` in class `java.util.AbstractMap<K,​V>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<K,​V>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<K,​V>`
      Specified by:
        `entrySet` in class `java.util.AbstractMap<K,​V>`